#
# spec file for package deepin-ui
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2015 Hillwood Yang <hillwood@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           deepin-ui
Summary:        UI toolkit for Linux Deepin
License:        GPL-3.0+
Group:          System/GUI/GNOME
Version:        2.0git20141229
Release:        4.2
Url:            http://www.linuxdeepin.com
Source0:        %{name}_1.1+20141229194712~5a86faec50.tar.gz
BuildRequires:  cairo-devel
BuildRequires:  fdupes
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libwebkitgtk-devel
BuildRequires:  python-devel
BuildRequires:  python-gtk-devel
BuildRequires:  python-setuptools
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(glib-2.0)
Requires:       deepin-utils
Requires:       python-cssselect
Requires:       python-webkitgtk
Obsoletes:      %{name}-demo < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{py_requires}

%description
UI toolkit libs for Linux Deepin,Awesome and Beautiful UI libs with LinuxDeepin.


%prep
%setup -q -n %{name}-1.1+20141229194712~5a86faec50

%build

%install
chmod 644 AUTHORS
chmod 644 COPYING
export CFLAGS="$RPM_OPT_FLAGS" 
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT

%fdupes %{buildroot}

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING
# %{_datadir}/pyshared
%{python_sitelib}/dtk
%dir %{python_sitelib}/dtk-1.0.3-py2.7.egg-info
%{python_sitelib}/dtk-1.0.3-py2.7.egg-info/PKG-INFO
%{python_sitelib}/dtk-1.0.3-py2.7.egg-info/SOURCES.txt
%{python_sitelib}/dtk-1.0.3-py2.7.egg-info/dependency_links.txt
%{python_sitelib}/dtk-1.0.3-py2.7.egg-info/top_level.txt

%changelog
* Tue Feb 17 2015 hillwood@linuxfans.org
- Update to 2.0git20141229
  * Update installation script
  * Feature update
- Drop deepin-ui-demo, upstream drop it.
  * remove deepin-uidemo.desktop and distributor-logo.png
  Mon May 25 20:53:17 CST 201 - hillwood@linuxfans.org
- Update to 2.0git20140507
  Feature update
* Sat Oct  5 2013 hillwood@linuxfans.org
- add missing files in deepin-ui-demo.
* Wed Aug 14 2013 hillwood@linuxfans.org
- update to 2.0git20130724
  upsteam did not provide changlog.
* Thu Feb  7 2013 hillwood@linuxfan.org
- update to 1.0.3git20130125(2.0 Alpha), upstream don't provide
  changelog.
- change BuildArch to noarch
* Wed Oct 10 2012 hillwood@linuxfan.org
- Fix permission for all theme.txt files
* Wed Oct 10 2012 hillwood@linuxfan.org
- Add deepin-ui-demo package , it was lost before.
* Sun Oct  7 2012 douglarek@outlook.com
- Updated to 1.0.3git20120929
  * Fix menu item clicked bug
  * Add delete tab feature in TabBox
  * Add ComboButton
  Also more features and bugs fixed
* Thu Sep 27 2012 hillwood@linuxfan.org
- update to 1.0.2git20120911
- add new Paned widget：new ui and animation
- TreeView is more powerful
- Optimize Icon View memory usage
- and more ....
* Tue Sep  4 2012 cfarrell@suse.com
- license update: GPL-3.0+
  No indication of GPL-3.0 "only" licenses in the package
* Sun Sep  2 2012 hillwood@linuxfan.org
- Initial package 1.0git20120817
